Author Topic: Security updates 1.3.3, 1.2.7 and 1.1.10 released  (Read 1404 times)

Offline ElasticUser

  • Jr. Member
  • **
  • Posts: 37
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #15 on: December 04, 2017, 02:28:57 PM »
Error: Syntax error, unrecognized expression: #[object Object]  - Then accross the screen it shows jquery.min.js:34:12481  :--)

Offline SKaero

  • Administrator
  • Hero Member
  • *****
  • Posts: 5,261
    • http://SKaero.com/
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #16 on: December 04, 2017, 10:04:08 PM »
How did you install the update?

Offline ElasticUser

  • Jr. Member
  • **
  • Posts: 37
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #17 on: December 04, 2017, 10:13:39 PM »
I downloaded fresh from GitHub, and uploaded via cPanel.  :--)

Offline SKaero

  • Administrator
  • Hero Member
  • *****
  • Posts: 5,261
    • http://SKaero.com/
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #18 on: December 05, 2017, 12:08:44 AM »
Did you download the release file and if so which file?

Offline ElasticUser

  • Jr. Member
  • **
  • Posts: 37
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #19 on: December 05, 2017, 12:52:15 AM »
1.2.7 from GitHub.  cPanel installs are fine, but I need the melanie2 mobile skin.  That skin isn't compatible with the current Roundcube.  :--)

Offline SKaero

  • Administrator
  • Hero Member
  • *****
  • Posts: 5,261
    • http://SKaero.com/
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #20 on: December 05, 2017, 02:50:06 AM »
There are multiple ways of downloading 1.2.7 from Github, did you download using git, or download the roundcubemail-1.3.3.tar.gz or roundcubemail-1.3.3-complete.tar.gz version?

Offline ElasticUser

  • Jr. Member
  • **
  • Posts: 37
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #21 on: December 05, 2017, 08:30:26 AM »
As I stated, I need 1.2.7 so I can use the melanie2 skin.  A number of people said that melanie2 isn't compatible with version 1.3 or higher.  I found that out also.   I need mobild friendly since It's almost 2018.  At GitHub, I selected 1.2.7 full.  :--)

Offline SKaero

  • Administrator
  • Hero Member
  • *****
  • Posts: 5,261
    • http://SKaero.com/
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #22 on: December 05, 2017, 10:07:08 AM »
So you installed  roundcubemail-1.2.7.tar.gz or roundcubemail-1.2.7-complete.tar.gz?

Offline ElasticUser

  • Jr. Member
  • **
  • Posts: 37
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #23 on: December 05, 2017, 11:27:52 AM »
I think complete.  :--)

Offline SKaero

  • Administrator
  • Hero Member
  • *****
  • Posts: 5,261
    • http://SKaero.com/
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #24 on: December 05, 2017, 12:21:46 PM »
There is a difference, I'd recommend reinstalling with the complete version to see if that corrects the js problem.

Offline ElasticUser

  • Jr. Member
  • **
  • Posts: 37
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #25 on: December 05, 2017, 06:16:43 PM »
I have roundcubemail-1.2.7-complete.tar.gz on my computer.  So it looks like I installed the proper one.  I installed that more than once already.  Why was the melanie2 skin only for the 1.2 versions of roundcube?  It would be a lot easier to use roundcube 1.3.3 or 1.3.4.  If melanie2 didn't bail out so quick, I would be up to date, and up and running last week.  :--)

Offline ElasticUser

  • Jr. Member
  • **
  • Posts: 37
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #26 on: December 05, 2017, 07:09:57 PM »
The issue was the jquery_mobile plugin.  In the read me file for that plugin, it says don't add to config.  I removed that from config, and now the issue is fixed!  :--)
« Last Edit: December 05, 2017, 08:24:57 PM by ElasticUser »

Offline ElasticUser

  • Jr. Member
  • **
  • Posts: 37
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #27 on: December 06, 2017, 02:22:12 PM »
1.2.7 should run fine until 1.4 is released, correct?  :--)

Offline SKaero

  • Administrator
  • Hero Member
  • *****
  • Posts: 5,261
    • http://SKaero.com/
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #28 on: December 06, 2017, 05:26:36 PM »
Yes, 1.2.x is still a supported branch so it would receive any security updates that are needed.

Offline ElasticUser

  • Jr. Member
  • **
  • Posts: 37
Re: Security updates 1.3.3, 1.2.7 and 1.1.10 released
« Reply #29 on: December 10, 2017, 03:26:14 PM »
what config code do I use to auto have sound notifications for all new accounts?  :--)